Bug 1045 - INTERNAL ERROR: Signal 11, browsing folders
INTERNAL ERROR: Signal 11, browsing folders
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.1
All Linux
: P2 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-07 13:09 UTC by Christian Seiffert
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Seiffert 2004-02-07 13:09:02 UTC
Samba (3.0.1, no Debian package) hosted on Debian woody on a PII 300MHz, 256MB 
RAM.

Client (goofy) is a WIN2K SP4.

The samba users database comes from ldap backend (Debian package).

The fault appears as i try to browse a folder (explorer: right click on the 
folder -> properties).
If I listen to music for example and browse a folder at the same time, the 
music stops playing. In some cases samba even crashes and so there is no access 
to the shares possible any longer. Only a reboot of the computer helps in this 
situation.


Listening to music and browsing:

[2004/02/07 21:21:36, 1] smbd/service.c:make_connection_snum(705)
  goofy (10.143.58.1) connect to service crischko initially as user crischko 
(uid=1000, gid=101) (pid 233)
[2004/02/07 21:21:37, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/02/07 21:21:37, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 233 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/02/07 21:21:37, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/02/07 21:21:37, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/02/07 21:21:37, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 11 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0x195) [0x8183a31]
   #1 /usr/sbin/smbd [0x8173f4b]
   #2 /usr/sbin/smbd [0x8173fa5]
   #3 /lib/libc.so.6 [0x400c46b8]
   #4 /usr/sbin/smbd(talloc_destroy_pool+0x44) [0x8187f84]
   #5 /usr/sbin/smbd(talloc_destroy+0x17) [0x8187fbb]
   #6 /usr/sbin/smbd(lp_talloc_free+0x1d) [0x8075d7d]
   #7 /usr/sbin/smbd(smbd_process+0xb7) [0x80bc637]
   #8 /usr/sbin/smbd(main+0x733) [0x81d8c5f]
   #9 /lib/libc.so.6(__libc_start_main+0xbb) [0x400b414f]
   #10 /usr/sbin/smbd(ldap_msgfree+0x6d) [0x8075221]
[2004/02/07 21:21:37, 1] smbd/service.c:make_connection_snum(705)
  goofy (10.143.58.1) connect to service crischko initially as user crischko 
(uid=1000, gid=101) (pid 244)


Only browsing:

[2004/02/07 21:16:32, 1] smbd/service.c:make_connection_snum(705)
  goofy (10.143.58.1) connect to service crischko initially as user crischko 
(uid=1000, gid=101) (pid 210)
[2004/02/07 21:16:33, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/02/07 21:16:33, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 210 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/02/07 21:16:33, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/02/07 21:16:33, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/02/07 21:16:33, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 24 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0x195) [0x8183a31]
   #1 /usr/sbin/smbd [0x8173f4b]
   #2 /usr/sbin/smbd [0x8173fa5]
   #3 /lib/libc.so.6 [0x400c46b8]
   #4 /lib/libc.so.6 [0x4010a451]
   #5 /lib/libc.so.6(__libc_realloc+0x218) [0x40109fb4]
   #6 /usr/sbin/smbd(Realloc+0x89) [0x8183021]
   #7 /usr/sbin/smbd(convert_string_allocate+0x35a) [0x817234a]
   #8 /usr/sbin/smbd(push_ucs2_allocate+0x36) [0x8172a8e]
   #9 /usr/sbin/smbd(unix_strupper+0x1c) [0x8172500]
   #10 /usr/sbin/smbd(strupper_m+0x58) [0x817dc4c]
   #11 /usr/sbin/smbd [0x80c1ad1]
   #12 /usr/sbin/smbd [0x80c23ac]
   #13 /usr/sbin/smbd(mangle_map+0x50) [0x80c07fc]
   #14 /usr/sbin/smbd [0x80a2c29]
   #15 /usr/sbin/smbd [0x80a39f6]
   #16 /usr/sbin/smbd(reply_trans2+0x785) [0x80aa225]
   #17 /usr/sbin/smbd [0x80bb918]
   #18 /usr/sbin/smbd [0x80bb9ae]
   #19 /usr/sbin/smbd(process_smb+0x1be) [0x80bbc9e]
   #20 /usr/sbin/smbd(smbd_process+0x14f) [0x80bc6cf]
   #21 /usr/sbin/smbd(main+0x733) [0x81d8c5f]
   #22 /lib/libc.so.6(__libc_start_main+0xbb) [0x400b414f]
   #23 /usr/sbin/smbd(ldap_msgfree+0x6d) [0x8075221]
[2004/02/07 21:16:33, 1] smbd/service.c:make_connection_snum(705)
  goofy (10.143.58.1) connect to service crischko initially as user crischko 
(uid=1000, gid=101) (pid 232)
[2004/02/07 21:16:37, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/02/07 21:16:37, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 232 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/02/07 21:16:37, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/02/07 21:16:37, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/02/07 21:16:37, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 18 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0x195) [0x8183a31]
   #1 /usr/sbin/smbd [0x8173f4b]
   #2 /usr/sbin/smbd [0x8173fa5]
   #3 /lib/libc.so.6 [0x400c46b8]
   #4 /lib/libc.so.6(__libc_free+0xa7) [0x40109aa3]
   #5 /usr/sbin/smbd [0x80c1b9e]
   #6 /usr/sbin/smbd [0x80c24ae]
   #7 /usr/sbin/smbd(mangle_map+0x50) [0x80c07fc]
   #8 /usr/sbin/smbd [0x80a2c29]
   #9 /usr/sbin/smbd [0x80a39f6]
   #10 /usr/sbin/smbd(reply_trans2+0x785) [0x80aa225]
   #11 /usr/sbin/smbd [0x80bb918]
   #12 /usr/sbin/smbd [0x80bb9ae]
   #13 /usr/sbin/smbd(process_smb+0x1be) [0x80bbc9e]
   #14 /usr/sbin/smbd(smbd_process+0x14f) [0x80bc6cf]
   #15 /usr/sbin/smbd(main+0x733) [0x81d8c5f]
   #16 /lib/libc.so.6(__libc_start_main+0xbb) [0x400b414f]
   #17 /usr/sbin/smbd(ldap_msgfree+0x6d) [0x8075221]
[2004/02/07 21:16:37, 1] smbd/service.c:make_connection_snum(705)
  goofy (10.143.58.1) connect to service crischko initially as user crischko 
(uid=1000, gid=101) (pid 233)


Best regards,

Christian
Comment 1 Christian Seiffert 2004-02-10 02:38:14 UTC
I installed the latest stable release of Samba (3.0.2) and I noticed that the 
specified bug does not occur any longer.


Best regards,

Christian
Comment 2 Gerald (Jerry) Carter 2004-02-10 14:20:52 UTC
This should be fixed in 3.0.2
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:26:59 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:30:39 UTC
database cleanup